
QGIS Application - Bug report #15389

Raster | Miscellaneous | Build Virtual Raster produces "RuntimeError: wrapped C/C++ object of type 

QCheckBox has been deleted 			"

2016-08-03 09:44 PM - Frank Bilki

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:2.16.1 Regression?: No

Operating System: Linux Mint; Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 23319

Description

I am assembling Landsat images into multispectral files by building virtual rasters for each scene.

There is a certain combination of options on the Build Virtual Raster dialog that always produces an error. On two different Linux Mint 17.3

machines, QGIS displays the following error when I run the function:

An error has occurred while executing Python code:

RuntimeError: wrapped C/C++ object of type QCheckBox has been deleted 

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/GdalTools/tools/doBuildVRT.py", line 110, in switchLayerMode

    enableInputFiles = not self.inputSelLayersCheck.isChecked()

RuntimeError: wrapped C/C++ object of type QCheckBox has been deleted

Python version: 2.7.6 (default, Jun 22 2015, 18:01:27) [GCC 4.8.2] 

QGIS version: 2.16.1-Nødebo Nødebo, 8545b3b 

Python Path:

/usr/share/qgis/python/plugins/processing

/usr/share/qgis/python

/home/xxx/.qgis2/python

/home/xxx/.qgis2/python/plugins

/usr/share/qgis/python/plugins

/usr/local/lib/python2.7/dist-packages/lidar2dems-1.1.0a1-py2.7.egg

/usr/local/lib/python2.7/dist-packages/Fiona-1.6.2-py2.7-linux-x86_64.egg

/usr/local/lib/python2.7/dist-packages/Shapely-1.5.12-py2.7-linux-x86_64.egg

/usr/local/lib/python2.7/dist-packages/click_plugins-1.0.2-py2.7.egg

/usr/local/lib/python2.7/dist-packages/cligj-0.3.0-py2.7.egg

/usr/local/lib/python2.7/dist-packages/click-5.1-py2.7.egg

/usr/lib/python2.7/dist-packages

/usr/lib/python2.7

/usr/lib/python2.7/plat-x86_64-linux-gnu

/usr/lib/python2.7/lib-tk

/usr/lib/python2.7/lib-old

/usr/lib/python2.7/lib-dynload

/usr/local/lib/python2.7/dist-packages

/usr/lib/python2.7/dist-packages/PILcompat

/usr/lib/python2.7/dist-packages/gtk-2.0

/usr/lib/pymodules/python2.7
/usr/lib/python2.7/dist-packages/ubuntu-sso-client

/home/xxx/.qgis2//python

On Windows 10, QGIS crashes on exit, with a minidump (attached).

As far as I can tell, it was introduced in the .1 release, so it looks like a regression.

Associated revisions

Revision e963fff3 - 2016-09-28 05:54 PM - Jürgen Fischer

gdal tools: disconnect canvas signal after building vrt (fixes #15389)

Revision aa30c2fe - 2016-09-28 05:55 PM - Jürgen Fischer

gdal tools: disconnect canvas signal after building vrt (fixes #15389)

(cherry picked from commit e963fff346aafdb87494c9a33c4cddd3754ab5b1)

Revision c7b68166 - 2016-09-28 05:55 PM - Jürgen Fischer

processing: disconnect canvas signal after building vrt (fixes #15389)

(cherry picked from commit e963fff346aafdb87494c9a33c4cddd3754ab5b1)

Revision dedf4a5a - 2016-09-28 05:55 PM - Jürgen Fischer

gdal tools: disconnect canvas signal after building vrt (fixes #15389)

(cherry picked from commit e963fff346aafdb87494c9a33c4cddd3754ab5b1)

History

#1 - 2016-08-03 09:45 PM - Frank Bilki

- File 2016-08-04_12-32-17.png added

#2 - 2016-08-03 09:47 PM - Frank Bilki

Forgot to say that the attached screenshot shows the parameter values on the Virtual Raster dialog.

#3 - 2016-09-12 03:38 PM - Pedro Venâncio

I confirm this error on QGIS 2.16.2 (Windows 10 - OSGeo4W 64 bits).

#4 - 2016-09-28 08:56 AM - Jürgen Fischer

- Status changed from Open to Closed
Fixed in changeset commit:"dedf4a5ac69fdb19b5148cc98a4e6f9f35e7b78e".

Files

qgis-20160804-091426-3964-11100-8545b3b.7z 2.28 MB 2016-08-03 Frank Bilki

2016-08-04_12-32-17.png 22.9 KB 2016-08-03 Frank Bilki
